<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
if (!defined('IN_ADMIN') or !IN_ADMIN) die('Hacking attempt!');

if (!defined('CE_PATH')) {
  define('CE_PATH',     PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
}
if (!defined('CE_ROOT')) {
  define('CE_ROOT',     dirname(__FILE__).'/');
}

function plugin_install($plugin_id, $version, &$errors) {
  include_once(CE_PATH . 'include/ce_common.inc.php');
  // Include language advices
  load_language('plugin.lang', CE_PATH);
  if ($version != CE_VERSION) {
    array_push($errors, sprintf(l10n('ce_inconsistent_version'), $plugin_id));
    return;
  }
  $ce_config_default[CE_CFG_COMMENT] = CE_CFG_DB_FACTORY;
  update_config($plugin_id, $version, $errors);
}

function plugin_activate($plugin_id, $version, &$errors) {
  update_config($plugin_id, $version, $errors);
}

function plugin_deactivate($plugin_id) {
  // Nothing special
}

function plugin_uninstall($plugin_id) {
  include_once(CE_PATH . 'include/ce_common.inc.php');
  $uninstall = CE_Config::uninstall($plugin_id);
}

function update_config($plugin_id, $version, &$errors) {
  include_once(CE_PATH . 'include/ce_common.inc.php');
  $clean = ce_clean_obsolete_files(CE_OBSOLETE);
  $ce_config_default[CE_CFG_VERSION] = CE_VERSION;
  $install = CE_Config::install($plugin_id, $ce_config_default);
}
?>
